<?php

namespace Ulmus\Ldap\Entity;

use Ulmus\Ldap\Entity\Field\{ Datetime };

/**
 * @ObjectClass('computer')
 */
class Computer
{
    use \Ulmus\Ldap\EntityTrait;

    /**
     * @Field
     */
    public string $samaccountname;

    /**
     * @Field
     */
    public string $name;

    /**
     * @Field
     */
    public string $description;

    /**
     * @Field('DNSHostName')
     */
    public string $hostname;

    /**
     * @Field
     */
    public string $location;

    /**
     * @Field
     */
    public string $operatingSystem;

    /**
     * @Field
     */
    public string $operatingSystemServicePack;

    /**
     * @Field
     */
    public string $operatingSystemVersion;
}