<?php

namespace Ulmus\Ldap\Query;

class Limit extends \Ulmus\Query\Fragment {
    
    public int $limit = 0;
    
    public function set($limit) : self
    {
        $this->limit = $limit;
        
        return $this;
    }

    public function render() : array
    {
        return [
            'limit' => $this->limit,
        ];
    }
}
